#ifndef CNGGGPS_FUNCTION_DIV
#define CNGGGPS_FUNCTION_DIV

#include "Function.hpp"
#include "Result.hpp"

/**
 * \brief Division Function
 * \author Stephen E. Baker
 * \date 2006-2007
 * \version 1.0
 */
class FDiv:public Function
{
public:
	
	FDiv();
	
	/**
	 * Finds the quotient of two arguments.
	 * 
	 * \param[in] context
	 * 	Unused
	 * \return
	 * 	The sum
	 *
	 * \sa
	 * 	Grammar::execute
	 * \sa
	 * 	Function::addArgument
	 */
	Result* execute(Context &context);

	/**
	 * \se
	 * 	Grammar::clone
	 */
	Grammar* clone();

	~FDiv();
};

#endif
